--- src/fixmath.h.orig	2018-08-21 09:39:19 UTC
+++ src/fixmath.h
@@ -44,7 +44,8 @@
 
 // ANTICIPATED CHANGE: Remove this define after Lab/Luv optimization
 // has gotten enough testing.
-#define LOG_COLORSPACE_OPTIMIZATION
+//#define LOG_COLORSPACE_OPTIMIZATION
+//#define LOG_COLORSPACE_CONVERSION
 
 
 #define XYZ_SCALE 100.0
@@ -390,6 +391,7 @@ class ConvertVectorToPyramidFunctor (public)
     PyramidVectorType operator()(const SrcVectorType& v) const
     {
         return PyramidVectorType(converter(v.red()), converter(v.green()), converter(v.blue()));
+        //return PyramidVectorType(converter(v.green()), converter(v.blue()), converter(v.red()));
     }
 
 protected:
@@ -415,6 +417,7 @@ class ConvertPyramidToVectorFunctor (public)
     DestVectorType operator()(const PyramidVectorType& v) const
     {
         return DestVectorType(converter(v.red()), converter(v.green()), converter(v.blue()));
+        //return DestVectorType(converter(v.blue()), converter(v.red()), converter(v.green()));
     }
 
 protected:
@@ -467,7 +470,7 @@ class PyramidScale
 public:
     PyramidScale() :
         color_limit(parameter::as_double("lab-color-limit", 200.0)),
-        pyramid_scale(double(1U << (PyramidIntegerBits - PYRAMID_HEADROOM_BITS)))
+        pyramid_scale(double(1LU << (PyramidIntegerBits - PYRAMID_HEADROOM_BITS)))
     {
         static_assert(PyramidIntegerBits >= PYRAMID_HEADROOM_BITS,
                       "not enough PyramidIntegerBits to calculate `pyramid_scale' from shift");
@@ -1344,7 +1347,7 @@ class PyramidScaleJCh (public)
     };
 
     PyramidScaleJCh() :
-        pyramid_scale(double(1U << (PyramidIntegerBits - 1 - 7)))
+        pyramid_scale(double(1LU << (PyramidIntegerBits - 1 - 7)))
     {
         static_assert(PyramidIntegerBits >= 8,
                       "not enough PyramidIntegerBits to get `pyramid_scale' from shift");
