--- src/opencl.h.orig	2017-12-18 11:11:12 UTC
+++ src/opencl.h
@@ -27,6 +27,7 @@
 
 #include <condition_variable>
 #include <cstdint>              // std::uint8_t
+#include <sys/types.h>          // std::off_t
 #include <deque>
 #include <memory>               // std::unique_ptr
 #include <mutex>
@@ -296,6 +297,8 @@ namespace ocl
             amd,
             apple,
             nvidia,
+            intel,
+            mesa,
             unknown
         } id_t;
     } // namespace vendor
@@ -555,7 +558,7 @@ namespace ocl
 
     template <class actual_code_policy,
               int default_queue_flags =
-#ifdef __APPLE__
+#if defined(__APPLE__) || defined(__FreeBSD__)
               // PORTABILITY NOTE: Omit out-of-order execution flag as
               // it makes the OpenCL runtime choke on Apple platforms
               // (OS X 10.11).
