--- src/enblend.h.orig	2018-08-21 09:39:19 UTC
+++ src/enblend.h
@@ -102,7 +102,7 @@ void enblendMain(const FileNameList& anInputFileNameLi
 #ifdef HAVE_EXIV2
     typedef allocate::array<Exiv2::Image::AutoPtr> metadata_array;
     metadata_array input_metadata(anInputFileNameList.size());
-    {
+    if (CopyMetadata) {
         FileNameList::const_iterator filename(anInputFileNameList.begin());
         metadata_array::pointer metadata {input_metadata.begin()};
 
@@ -548,7 +548,7 @@ void enblendMain(const FileNameList& anInputFileNameLi
     delete blackPair.second;
 
 #ifdef HAVE_EXIV2
-    if (OutputIsValid && parameter::as_boolean("metadata-pass-through", true)) {
+    if (OutputIsValid && (CopyMetadata || parameter::as_boolean("metadata-pass-through", true))) {
         const size_t metadata_source_image_index =
             std::min(static_cast<size_t>(parameter::as_unsigned("metadata-source-image-index", 0)),
                      input_metadata.size() - 1);
