--- src/enfuse.h.orig	2018-08-21 09:39:19 UTC
+++ src/enfuse.h
@@ -1257,7 +1257,7 @@ void enfuseMain(const FileNameList& anInputFileNameLis
 #ifdef HAVE_EXIV2
     typedef allocate::array<Exiv2::Image::AutoPtr> metadata_array;
     metadata_array input_metadata(anInputFileNameList.size());
-    {
+    if (CopyMetadata) {
         FileNameList::const_iterator filename(anInputFileNameList.begin());
         metadata_array::pointer metadata {input_metadata.begin()};
 
@@ -1620,7 +1620,7 @@ void enfuseMain(const FileNameList& anInputFileNameLis
     delete outputPair.second;
 
 #ifdef HAVE_EXIV2
-    if (OutputIsValid && parameter::as_boolean("metadata-pass-through", true)) {
+    if (OutputIsValid && (CopyMetadata || parameter::as_boolean("metadata-pass-through", true))) {
         const size_t metadata_source_image_index =
             std::min(static_cast<size_t>(parameter::as_unsigned("metadata-source-image-index", 0)),
                      input_metadata.size() - 1);
